Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454088 - Impress crashes
Summary: Impress crashes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 14:13 UTC by antonio montagnani
Modified: 2008-07-09 12:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-09 12:13:25 UTC


Attachments (Terms of Use)
test file (deleted)
2008-07-04 14:13 UTC, antonio montagnani
no flags Details


Links
System ID Priority Status Summary Last Updated
OpenOffice.org 89480 None None None Never

Description antonio montagnani 2008-07-04 14:13:08 UTC
Description of problem:
When I try to open a Microsoft file, it crashes

Version-Release number of selected component (if applicable):
openoffice.org-impress-core-3.0.0-0.0.20.1.fc10.i386
openoffice.org-impress-3.0.0-0.0.20.1.fc10.i386


How reproducible:
always

Steps to Reproduce:
1.try to open attached file
2.
3.
  
Actual results:
Crash

Expected results:
work

Additional info:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//intel_master_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: not GNOME
(IV)   openoffice.org-kde version is: il pacchetto openoffice.org-kde non รจ
stato installato
(V)    libgcj version is: libgcj-4.3.1-3-i386
(IV)   kernel is: Linux 2.6.26-0.104.rc8.git2.fc10.i686 #1 SMP Wed Jul 2
01:06:51 EDT 2008 i686 i686 i386
(VII)  OpenOffice.org core rpm version is:
openoffice.org-core-3.0.0-0.0.20.1.fc10-i386
(VIII) accessibility is: true
(VIV)  fedora release is: Fedora release 9.90.1 (Rawhide)
(VV)   LANG is: it_IT.utf8
...start free space details ...
Filesystem        blocchi di   1K   Usati Disponib. Uso% Montato su
/dev/mapper/VolGroup00-LogVol00
                      74667184  10350904  60523384  15% /
/dev/mapper/VolGroup00-LogVol00
                      74667184  10350904  60523384  15% /
...end free space details ...
...start sestatus details ...
SELinux status:                 disabled
...end sestatus details ...
...start stackreport details ...
0x131e34: 0x1afee8:
/usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 +
0x20e34
0x13276f: 0x1afee8:
/usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 +
0x2176f
0x110400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
0xadf63d09: 0xa00390:
/usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x2abd09
(SdrObjCustomShape::SetVerticalWriting(unsigned char) + 0x2f9)
0xae367fc3: 0xa00390:
/usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x6affc3
(sdr::properties::TextProperties::ItemChange(unsigned short, SfxPoolItem const*)
+ 0x77)
0xae368961: 0xa00390:
/usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x6b0961
0xae366034: 0xa00390:
/usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x6ae034
(sdr::properties::DefaultProperties::SetObjectItem(SfxPoolItem const&) + 0x3a)
0xae3650f4: 0xa00390:
/usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x6ad0f4
(sdr::properties::BaseProperties::SetMergedItem(SfxPoolItem const&) + 0x12)
0xadefea84: 0xa00390:
/usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x246a84
(SdrObject::SetMergedItem(SfxPoolItem const&) + 0x1a)
0xaec4b6db: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x56f6db
0xaec4b731: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x56f731
0xaec44458: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x568458
0xaec4b10a: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x56f10a
0xae4242da: 0xa00390:
/usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x76c2da
(SvxMSDffManager::ImportShape(DffRecordHeader const&, SvStream&, void*,
Rectangle const&, Rectangle const&, int, long*) + 0x3086)
0xae424a5b: 0xa00390:
/usr/lib/openoffice.org3/program/../basis-link/program/libsvxli.so + 0x76ca5b
(SvxMSDffManager::ImportObj(SvStream&, void*, Rectangle const&, Rectangle
const&, int, long*) + 0x91)
0xaec46bc5: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x56abc5
0xaec46ca5: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x56aca5
0xaec46d72: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x56ad72
0xaec46e40: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x56ae40
0xaec4b3b7: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x56f3b7
0xaebc1cc8: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x4e5cc8
0xaebb9381: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x4dd381
0xaebc7b78: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x4ebb78
0xaebb1d18: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x4d5d18
0xae7ff50d: 0x7c8720:
/usr/lib/openoffice.org3/program/../basis-link/program/libscli.so + 0x12350d
(ScDocShell::ConvertFrom(SfxMedium&) + 0x5d1)
0xd4e8d9: 0x2d2520:
/usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x11e8d9
(SfxObjectShell::DoLoad(SfxMedium*) + 0x12b7)
0xd8af03: 0x2d2520:
/usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x15af03
(SfxBaseModel::load(com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue>
const&) + 0x1d3)
0xdb721f: 0x2d2520:
/usr/lib/openoffice.org3/program/../basis-link/program/libsfxli.so + 0x18721f
0x1f2edb7: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0xf7db7
0x1f2f743: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0xf8743
0x1e792f0: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x422f0
0x1e796e2: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x426e2
0x1f6fd31: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x138d31
0x1f71997: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x13a997
0x1f71d43: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x13ad43
0x1f74aa6: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x13daa6
0x1f75d07: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x13ed07
0x1f9895a: 0x1e3f74:
/usr/lib/openoffice.org3/program/../basis-link/program/libfwkli.so + 0x16195a
0x2e14c2: 0x51ab4:
/usr/lib/openoffice.org3/program/../basis-link/program/libsoffice.so + 0x1a4c2
0x2e1d09: 0x51ab4:
/usr/lib/openoffice.org3/program/../basis-link/program/libsoffice.so + 0x1ad09
0x2e1df7: 0x51ab4:
/usr/lib/openoffice.org3/program/../basis-link/program/libsoffice.so + 0x1adf7
0x8cd28e7: 0x2d779c:
/usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x2058e7
0x2eae0c0: 0x65594: /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so
+ 0x460c0 (SalDisplay::DispatchInternalEvent() + 0x96)
0x2ffea1c: 0x3fe00: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so
+ 0x11a1c
0x17da161: 0xe1108: /lib/libglib-2.0.so.0 + 0x35161
0x17dc081: 0xe1108: /lib/libglib-2.0.so.0 + 0x37081 (g_main_context_dispatch +
0x1f1)
0x17df5db: 0xe1108: /lib/libglib-2.0.so.0 + 0x3a5db
0x17df758: 0xe1108: /lib/libglib-2.0.so.0 + 0x3a758 (g_main_context_iteration +
0x68)
0x2ffead4: 0x3fe00: /usr/lib/openoffice.org/basis3.0/program/libvclplug_gtkli.so
+ 0x11ad4
0x2eb4a29: 0x65594: /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so
+ 0x4ca29 (X11SalInstance::Yield(bool, bool) + 0x2f)
0x8b5c3db: 0x2d779c:
/usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x8f3db
(Application::Yield(bool) + 0x57)
0x8b5c429: 0x2d779c:
/usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x8f429
(Application::Execute() + 0x2b)
0x2e4a79: 0x51ab4:
/usr/lib/openoffice.org3/program/../basis-link/program/libsoffice.so + 0x1da79
0x8b5fa13: 0x2d779c:
/usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x92a13
0x8b5fbaf: 0x2d779c:
/usr/lib/openoffice.org3/program/../basis-link/program/libvclli.so + 0x92baf
(SVMain() + 0x2c)
0x304a34: 0x51ab4:
/usr/lib/openoffice.org3/program/../basis-link/program/libsoffice.so + 0x3da34
(soffice_main + 0xd0)
0x8048c74: 0x1510: /usr/lib/openoffice.org3/program/soffice.bin + 0xc74 (main +
0x20)
0x7ce5d5: 0x16dd7c: /lib/libc.so.6 + 0x165d5 (__libc_start_main + 0xe5)
0x8048bc1: 0x1510: /usr/lib/openoffice.org3/program/soffice.bin + 0xbc1
(__gxx_personality_v0 + 0xad)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00157000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x0059e000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00644000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x00661000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x006d4000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x006fe000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x0071c000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x007b6000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00726000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00825000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x008b8000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x0076a000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x0076e000)
	librt.so.1 => /lib/librt.so.1 (0x00773000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x008e7000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00905000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00946000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00987000)
	libvclplug_genli.so =>
/usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so (0x00a69000)
	libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0x00ad4000)
	libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0x00db3000)
	libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0x00e7a000)
	libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0x00ec6000)
	libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0x00f32000)
	libcomphelp4gcc3.so =>
/usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x00fb3000)
	libucbhelper4gcc3.so =>
/usr/lib/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x056b5000)
	libuno_cppuhelpergcc3.so.3 =>
/usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
(0x05af2000)
	libuno_cppu.so.3 =>
/usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3
(0x050d4000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so
(0x04f30000)
	libuno_sal.so.3 =>
/usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3
(0x01845000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x0313a000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x0077d000)
	libdl.so.2 => /lib/libdl.so.2 (0x0078d000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x065ce000)
	libstlport_gcc.so =>
/usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libstlport_gcc.so
(0x06ea4000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x070ac000)
	libm.so.6 => /lib/libm.so.6 (0x06691000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x05c8b000)
	libc.so.6 => /lib/libc.so.6 (0x06a73000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x05c1d000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x047ec000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x0496d000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x04818000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x03cd6000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x03c94000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x03cf7000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x0375b000)
	libz.so.1 => /lib/libz.so.1 (0x0371b000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x038bb000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x0759f000)
	/lib/ld-linux.so.2 (0x00794000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x074a8000)
	libcap.so.2 => /lib/libcap.so.2 (0x07319000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x02c2e000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x02cf4000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x03f26000)
	libi18nisolang1gcc3.so =>
/usr/lib/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x03dd6000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so
(0x04286000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0x05126000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0x01090000)
	libjvmaccessgcc3.so.3 =>
/usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3
(0x07b03000)
	libuno_salhelpergcc3.so.3 =>
/usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3
(0x07acf000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x01cec000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x00792000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x01a96000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x06973000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb726f000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x06f88000)
...end sample ldd details ...

Comment 1 antonio montagnani 2008-07-04 14:13:08 UTC
Created attachment 311042 [details]
test file

Comment 2 John Poelstra 2008-07-04 18:11:20 UTC
fwiw... opens fine on F9-i386
openoffice.org-impress-2.4.1-17.4.fc9.i386

Comment 3 Caolan McNamara 2008-07-07 12:42:24 UTC
will be fixed in openoffice.org-3.0.0-0.0.23.1.fc10-i386


Note You need to log in before you can comment on or make changes to this bug.